#ifndef XGPUTEXTURESIZESTACK3D_H
#define XGPUTEXTURESIZESTACK3D_H

#include "xasset.h"

class XGpuTextureSizeStack3D : public XAsset
{
public:
    explicit XGpuTextureSizeStack3D();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mWidth;
    quint32 mHeight;
    quint32 mDepth;
};

#endif // XGPUTEXTURESIZESTACK3D_H








